Discussions  >  CollabNet Subversion Client  >  Re: Uninstall Subversion

Hide all messages in topic

All messages in topic

RE: Re: Uninstall Subversion RE: Re: Uninstall Subversion

Author jrepenning (OCN Member)
Full name Jack Repenning
Date 2010-03-15 14:58:09 PDT
Message The "same message" to which you refer is this one, rignt?

 svn: Mismatched RA version for 'neon': found 1.6.2, expected 1.6.5


What is it you do to get that message? Are you typing some command (if so, cut-and-paste it into your reply)? Are you clicking some Coda button?

What is the web page that tells you how to do this? Let me look at it and see what it's told you to do.

In your Coda preferences, in the FIles tab, what do you have set for "Subversion Tool Path"?

I've never used Coda. Trying it, just now, I'm confused by it. Its help (Configuring source control) says "Click Checkout Repository...", but I can't find that anywhere. Do you know where that is?

RE: Re: Uninstall Subversion RE: Re: Uninstall Subversion

Author dennishouston (OCN Member)
Full name Dennis Houston
Date 2010-03-13 21:06:10 PST
Message Just did that and still see the exact same message. Also using Snow Leopard, and I am a first time SVN user...

Re: Uninstall Subversion Re: Uninstall Subversion

Author jrepenning (OCN Member)
Full name Jack Repenning
Date 2010-02-19 10:40:01 PST
Message One might begin by pointing out that your Snow Leopard installation already comes with Subversion built in. Perhaps you don't need to install Subversion at all. However, the version in Snow Leopard (1.6.5) is not the very latest, and Apple generally only updates the Subversion version along with major OS version updates (such as from Leopard to Snow Leopard), so if you do want the latest, you'll need someone else's help. And upgrading Subversion to version 1.6.9 is probably a good idea, as it includes some features that will help smooth the way to the next major Subversion version, 1.7, which Apple will probably ship in the next major OS release (whatever they decide to call it). So, let's press ahead with the upgrade:

As a bit of information: the version of Subversion that you installed was apparently 1.6.9, but the error message you're getting is reporting a version of a sub-component, "neon." Although the Subversion version (1.6.9) happens to be fairly close to the two mentioned Neon versions (1.6.2 and 1.6.5), that's only a coincidence. They're not directly related.

Now, as to your main problem, getting your Subversion working. You don't mention which Subversion download you used (there are several available). Some of them assume you know more or less about how Subversion is built, and are more or less able to provide additional details yourself. It appears you've used an installer that expects you to understand a lot, and it appears that's not the right choice for you. I think perhaps you did not use our community package, available at

  http://www.open.coll​ab.net/downloads/com​munity/

because that one is consciously designed to be as painless as possible. If you did not use that one, then I suggest you try it, carefully reading and following the installation "Readme" file. (I said it's "as painless as possible," but I didn't promise "completely painless"!).

As you noted, Subversion itself is a very command-line oriented product. Although the installer I mention above is a GUI installer, the actual product installed is largely command-line. GUI interfaces are provided by some tools as Coda, which you're trying to use, and they usually try to work on top of some command-line installation you already have. I have never actually used Code, unfortunately, so I can't give you much advice there. Once you've installed our Community package, and done whatever Coda tells you to do to connect the two, if it still doesn't work, look in the Console log while attempting to use it (that is, run Console.app, which can be found in the Utilities folder of the Applications folder), and see if there are messages there. Be sure to report those, as well as anything that pops up on your screen, when you come back here for more help.

Uninstall Subversion Uninstall Subversion

Author skinnymuldoon (OCN Member)
Full name Jo Brown
Date 2010-02-12 05:27:24 PST
Message Hi,
I am completley new to Subversion and this is my last few hours (trying to completle final year uni project) grappling with it before I give up trying to make it work.

Having downloaded and 'installed' it successfully - I guess, I had no idea what I was doing and didn't realise how much command line stuff was involved. I was trying to integrate it with Coda and just 'didn't get it'. I thought would down load a fresh copy - can't remember why now as been doing this for days...

I finally found a great website last night that instructed me (in English) what I needed to do and with great excitement I launched into trying to uninstall everything I had done and start again.....only to stumble again at the first hurdle as I now get this error message -
 svn: Mismatched RA version for 'neon': found 1.6.2, expected 1.6.5

I thought I had downloaded 1.6.9 anyway, so not sure what the numbers are saying but having spend hours trying to manually delete all files I am now in a complete mess and desperately frustrated!

How can I use Subversion with Coda from this point on - can any one help? If not, I will have to abandon the whole idea and put it down to experience!

I am working in Snow Leopard for Mac.....

Many thanks,

SM
Messages per page: